Sub spostaMote() Dim boxObj As Acad3DSolid Dim length As Double Dim width As Double Dim height As Double Dim center(0 To 2) As Double Dim startPnt As Variant Dim prompt1 As String prompt1 = vbCrLf & "inserisci il punto iniziale: " ' Get the first point without entering a base point startPnt = ThisDrawing.Utility.GetPoint(, prompt1) Dim Point1(0 To 2) As Double Dim Point2(0 To 2) As Double Dim dx, dy, dz As Double dx = ThisDrawing.Utility.GetReal _ (vbCrLf & "dx: ") dy = ThisDrawing.Utility.GetReal _ (vbCrLf & "dy: ") dz = ThisDrawing.Utility.GetReal _ (vbCrLf & "dz: ") Point1(0) = 0: Point1(1) = 0: Point1(2) = 0 Point2(0) = dx: Point2(1) = dy: Point2(2) = dz ' Define the box 'center(0) = dx: center(1) = dx: center(2) = dz length = 0.05 width = 0.03 height = 0.08 ' Create the box object in model space Set boxObj = ThisDrawing.ModelSpace. _ AddBox(startPnt, length, width, height) ' move the box boxObj.Move Point1, Point2 ZoomAll End Sub